Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.homogeneous
Class HomogeneousScoringFunction

    java.lang.Object
      de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
          de.jstacs.scoringFunctions.AbstractVariableLengthScoringFunction
              de.jstacs.scoringFunctions.homogeneous.HomogeneousScoringFunction

All Implemented Interfaces:
  NormalizableScoringFunction, ScoringFunction, VariableLengthScoringFunction, Storable, Cloneable

Direct Known Subclasses:
  HMM0ScoringFunction, HMMScoringFunction, UniformHomogeneousScoringFunction

    public abstract class HomogeneousScoringFunction

extends AbstractVariableLengthScoringFunction

This is the main class for all homogeneous `ScoringFunction`s.

Author:
  Jens Keilwagen

Field Summary

Fields inherited from class de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
`alphabets, length, r`

Fields inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`UNKNOWN`

Constructor Summary
`protected` | `HomogeneousScoringFunction(AlphabetContainer alphabets)` This is the main constructor that creates an instance of a `HomogeneousScoringFunction` that models sequences of arbitrary length.
`protected` | `HomogeneousScoringFunction(AlphabetContainer alphabets, int length)` This is the main constructor that creates an instance of a `HomogeneousScoringFunction` that models sequences of a given length.
`protected` | `HomogeneousScoringFunction(StringBuffer source)` This is the constructor for `Storable`.

Method Summary
`abstract int` | `getMaximalMarkovOrder()` Returns the maximal used markov oder.
`abstract void` | `initializeUniformly(boolean freeParams)` This method allows to initialize the instance with an uniform distribution.

Methods inherited from class de.jstacs.scoringFunctions.AbstractVariableLengthScoringFunction
`getLogNormalizationConstant, getLogPartialNormalizationConstant, getLogScore, getLogScoreAndPartialDerivation`

Methods inherited from class de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
`clone, fromXML, getAlphabetContainer, getInitialClassParam, getLength, getLogScore, getLogScoreAndPartialDerivation, getNumberOfRecommendedStarts, getNumberOfStarts, isNormalized, isNormalized`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.jstacs.scoringFunctions.VariableLengthScoringFunction
`getLogNormalizationConstant, getLogPartialNormalizationConstant, getLogScore, getLogScoreAndPartialDerivation, setStatisticForHyperparameters`

Methods inherited from interface de.jstacs.scoringFunctions.NormalizableScoringFunction
`addGradientOfLogPriorTerm, getEss, getInitialClassParam, getLogPriorTerm, getSizeOfEventSpaceForRandomVariablesOfParameter, isNormalized`

Methods inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`clone, getAlphabetContainer, getCurrentParameterValues, getInstanceName, getLength, getLogScore, getLogScoreAndPartialDerivation, getNumberOfParameters, getNumberOfRecommendedStarts, initializeFunction, initializeFunctionRandomly, isInitialized, setParameters`

Methods inherited from interface de.jstacs.Storable
`toXML`

Constructor Detail

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(AlphabetContainer alphabets)

  This is the main constructor that creates an instance of a `HomogeneousScoringFunction` that models sequences of arbitrary length.

  Parameters:
    `alphabets` - the `AlphabetContainer`

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(AlphabetContainer alphabets,
                                         int length)

  This is the main constructor that creates an instance of a `HomogeneousScoringFunction` that models sequences of a given length.

  Parameters:
    `alphabets` - the `AlphabetContainer`
    `length` - the length of the modeled sequences

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(StringBuffer source)
                                  throws NonParsableException

  This is the constructor for `Storable`. Creates a new `HomogeneousScoringFunction` out of its XML representation.

  Parameters:
    `source` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### getMaximalMarkovOrder

    public abstract int getMaximalMarkovOrder()

  Returns the maximal used markov oder.

  Returns:
    the maximal used markov oder

### initializeUniformly

    public abstract void initializeUniformly(boolean freeParams)

  This method allows to initialize the instance with an uniform distribution.

  Parameters:
    `freeParams` - a switch whether to take only free parameters or to take all

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD